## elogind 241.1

=== meson_options.txt ===
# -*- mode: meson -*-
# SPDX-License-Identifier: LGPL-2.1+

option('version-tag', type : 'string',
       description : 'override the git version string')

option('split-usr', type : 'combo', choices : ['auto', 'true', 'false'],
       description : '''/bin, /sbin aren't symlinks into /usr''')
option('split-bin', type : 'combo', choices : ['auto', 'true', 'false'],
       description : '''sbin is not a symlink to bin''')
option('rootlibdir', type : 'string',
       description : '''[/usr]/lib/x86_64-linux-gnu or such''')
option('rootprefix', type : 'string',
       description : '''override the root prefix''')
#if 0 /// UNNEEDED by elogind
# option('link-udev-shared', type : 'boolean',
#        description : 'link systemd-udev and its helpers to libsystemd-shared.so')
# option('link-systemctl-shared', type: 'boolean',
#        description : 'link systemctl against libsystemd-shared.so')
#endif // 0
option('static-libelogind', type : 'combo',
       choices : ['false', 'true', 'pic', 'no-pic'],
       description : '''install a static library for libelogind''')
#if 0 /// UNNEEDED by elogind
# option('static-libudev', type : 'combo',
#        choices : ['false', 'true', 'pic', 'no-pic'],
#        description : '''install a static library for libudev''')
#
# option('sysvinit-path', type : 'string', value : '/etc/init.d',
#        description : 'the directory where the SysV init scripts are located')
# option('sysvrcnd-path', type : 'string', value : '/etc/rc.d',
#        description : 'the base directory for SysV rcN.d directories')
# option('telinit-path', type : 'string', value : '/lib/sysvinit/telinit',
#        description : 'path to telinit')
# option('rc-local', type : 'string',
#        value : '/etc/rc.local')
# option('halt-local', type : 'string',
#        value : '/usr/sbin/halt.local')
#
# option('quotaon-path', type : 'string', description : 'path to quotaon')
# option('quotacheck-path', type : 'string', description : 'path to quotacheck')
# option('kmod-path', type : 'string', description : 'path to kmod')
#else
# elogind must have a configurable rootlibexecdir
option('rootlibexecdir', type : 'string',
       description : '''override the root libexec directory path''')

# And because elogind depends on external udev, it must be
# configurable as well.
option('udevrulesdir', type : 'string',
       description : '''directory for udev rules files''')

option('udevbindir', type : 'string',
       description : '''directory for udev binary files''')

# We are nice and make the documentation paths configurable
option('docdir', type : 'string', description : 'path where to install the documentation.')
option('htmldir', type : 'string', description : 'path where to install the HTML documentation.')

# We have no systemd-shutdown binary, so we need 'halt', 'reboot' and 'poweroff'
option('halt-path', type : 'string', description : 'path to halt')
option('poweroff-path', type : 'string', description : 'path to poweroff')
option('reboot-path', type : 'string', description : 'path to reboot')
#endif // 0
option('kexec-path', type : 'string', description : 'path to kexec')
#if 0 /// UNNEEDED by elogind
# option('sulogin-path', type : 'string', description : 'path to sulogin')
# option('mount-path', type : 'string', description : 'path to mount')
# option('umount-path', type : 'string', description : 'path to umount')
# option('loadkeys-path', type : 'string', description : 'path to loadkeys')
# option('setfont-path', type : 'string', description : 'path to setfont')
#
# option('debug-shell', type : 'string', value : '/bin/sh',
#        description : 'path to debug shell binary')
# option('debug-tty', type : 'string', value : '/dev/tty9',
#        description : 'specify the tty device for debug shell')
# option('debug-extra', type : 'array', choices : ['hashmap', 'mmap-cache', 'siphash', 'udev'], value : [],
#        description : 'enable extra debugging')
#else
option('debug-extra', type : 'array', choices : ['elogind', 'hashmap', 'mmap-cache', 'siphash'], value : [],
       description : 'enable extra debugging')
#endif // 0
#if 0 /// UNNEEDED by elogind
# option('memory-accounting-default', type : 'boolean',
#        description : 'enable MemoryAccounting= by default')
# option('bump-proc-sys-fs-file-max', type : 'boolean',
#        description : 'bump /proc/sys/fs/file-max to ULONG_MAX')
# option('bump-proc-sys-fs-nr-open', type : 'boolean',
#        description : 'bump /proc/sys/fs/nr_open to INT_MAX')
#endif // 0
option('valgrind', type : 'boolean', value : false,
       description : 'do extra operations to avoid valgrind warnings')
option('log-trace', type : 'boolean', value : false,
       description : 'enable low level debug logging')

option('utmp', type : 'boolean',
       description : 'support for utmp/wtmp log handling')
#if 0 /// UNNEEDED by elogind
# option('hibernate', type : 'boolean',
#        description : 'support for hibernation')
# option('ldconfig', type : 'boolean',
#        description : 'support for dynamic linker cache creation')
# option('resolve', type : 'boolean',
#        description : 'systemd-resolved stack')
# option('efi', type : 'boolean',
#        description : 'enable systemd-boot and bootctl')
# option('tpm', type : 'boolean',
#        description : 'TPM should be used to log events and extend the registers')
# option('environment-d', type : 'boolean',
#        description : 'support for environment.d')
# option('binfmt', type : 'boolean',
#        description : 'support for custom binary formats')
# option('coredump', type : 'boolean',
#        description : 'install the coredump handler')
# option('logind', type : 'boolean',
#        description : 'install the systemd-logind stack')
# option('hostnamed', type : 'boolean',
#        description : 'install the systemd-hostnamed stack')
# option('localed', type : 'boolean',
#        description : 'install the systemd-localed stack')
# option('machined', type : 'boolean',
#        description : 'install the systemd-machined stack')
# option('portabled', type : 'boolean',
#        description : 'install the systemd-portabled stack')
# option('networkd', type : 'boolean',
#        description : 'install the systemd-networkd stack')
# option('timedated', type : 'boolean',
#        description : 'install the systemd-timedated daemon')
# option('timesyncd', type : 'boolean',
#        description : 'install the systemd-timesyncd daemon')
# option('remote', type : 'combo', choices : ['auto', 'true', 'false'],
#        description : 'support for "journal over the network"')
# option('nss-myhostname', type : 'boolean',
#        description : 'install nss-myhostname module')
# option('nss-mymachines', type : 'combo', choices : ['auto', 'true', 'false'],
#        description : 'install nss-mymachines module')
# option('nss-resolve', type : 'combo', choices : ['auto', 'true', 'false'],
#        description : 'install nss-resolve module')
# option('nss-systemd', type : 'boolean',
#        description : 'install nss-systemd module')
# option('firstboot', type : 'boolean',
#        description : 'support for firstboot mechanism')
# option('randomseed', type : 'boolean',
#        description : 'support for restoring random seed')
# option('backlight', type : 'boolean',
#        description : 'support for restoring backlight state')
# option('vconsole', type : 'boolean',
#        description : 'support for vconsole configuration')
# option('quotacheck', type : 'boolean',
#        description : 'support for the quotacheck tools')
# option('sysusers', type : 'boolean',
#        description : 'support for the sysusers configuration')
# option('tmpfiles', type : 'boolean',
#        description : 'support for tmpfiles.d')
# option('importd', type : 'combo', choices : ['auto', 'true', 'false'],
#        description : 'install the systemd-importd daemon')
# option('hwdb', type : 'boolean',
#        description : 'support for the hardware database')
# option('rfkill', type : 'boolean',
#        description : 'support for the rfkill tools')
#endif // 0
option('man', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'build and install man pages')
option('html', type : 'combo', choices : ['auto', 'true', 'false'],
       value : 'false',
       description : 'build and install html pages')

#if 0 /// UNNEEDED by elogind
# option('certificate-root', type : 'string', value : '/etc/ssl',
#        description : 'the prefix for TLS certificates')
#endif // 0
option('dbuspolicydir', type : 'string',
       description : 'D-Bus policy directory')
option('dbussessionservicedir', type : 'string',
       description : 'D-Bus session service directory')
option('dbussystemservicedir', type : 'string',
       description : 'D-Bus system service directory')
option('pkgconfigdatadir', type : 'string', value : '',
       description : 'directory for ')
option('pkgconfiglibdir', type : 'string', value : '',
       description : 'directory for ')
#if 0 /// UNNEEDED by elogind
# option('rpmmacrosdir', type : 'string', value : 'lib/rpm/macros.d',
#        description : 'directory for rpm macros ["no" disables]')
#endif // 0
option('pamlibdir', type : 'string',
       description : 'directory for PAM modules')
option('pamconfdir', type : 'string',
       description : 'directory for PAM configuration ["no" disables]')
option('docdir', type : 'string',
       description : 'documentation directory')

option('fallback-hostname', type : 'string', value : 'localhost',
       description : 'the hostname used if none configured')
#if 0 /// UNNEEDED by elogind
# option('compat-gateway-hostname', type : 'boolean', value : 'false',
#        description : 'allow "gateway" as the symbolic name for default gateway')
#endif // 0
option('default-hierarchy', type : 'combo',
       choices : ['legacy', 'hybrid', 'unified'], value : 'hybrid',
#if 0 /// elogind interprets this a bit different
#        description : 'default cgroup hierarchy')
#else
       description : '''Wanted cgroup hierarchy if elogind has to be a cgroup controller:
                "legacy"  assumes tmpfs mounted on /sys/fs/cgroup and cgroup on its
                                  subfolders.
                "hybrid"  assumes cgroups version 2 mounted on /sys/fs/cgroup/unified.
                                  /sys/fs/cgroup is legacy, then.
                "unified" assumes cgroups version 2 on /sys/fs/cgroup''')
option('cgroup-controller', type : 'string',
       description : 'Name of the cgroup controller to use')
#endif // 0
#if 0 /// UNNEEDED by elogind
# option('default-net-naming-scheme', type : 'combo',
#        choices : ['latest', 'v238', 'v239', 'v240'],
#        description : 'default net.naming-scheme= value')
# option('time-epoch', type : 'integer', value : '-1',
#        description : 'time epoch for time clients')
#endif // 0
option('system-uid-max', type : 'integer', value : '-1',
       description : 'maximum system UID')
option('system-gid-max', type : 'integer', value : '-1',
       description : 'maximum system GID')
#if 0 /// UNNEEDED by elogind
# option('dynamic-uid-min', type : 'integer', value : 0x0000EF00,
#        description : 'minimum dynamic UID')
# option('dynamic-uid-max', type : 'integer', value : 0x0000FFEF,
#        description : 'maximum dynamic UID')
# option('container-uid-base-min', type : 'integer', value : 0x00080000,
#        description : 'minimum container UID base')
# option('container-uid-base-max', type : 'integer', value : 0x6FFF0000,
#        description : 'maximum container UID base')
#endif // 0
option('tty-gid', type : 'integer', value : 5,
       description : 'the numeric GID of the "tty" group')
#if 0 /// UNNEEDED by elogind
# option('users-gid', type : 'integer', value : '-1',
#        description : 'the numeric GID of the "users" group')
# option('adm-group', type : 'boolean',
#        description : 'the ACL for adm group should be added')
# option('wheel-group', type : 'boolean',

=== debian/changelog ===
elogind (241.1-1) unstable; urgency=medium

  * New upstream version v241.1.
  * libelogind0 is ABI compatible with libsystemd0 so conflict, replace and
    provide libsystemd0 (=${source:Upstream-Version}), and also install
    libsystemd.so symlinks (Closes: #923244).
  * Change AppStream metadata license to LGPL-2.1+ to match other files in
    debian/.
  * Move libelogind-dev-doc to Section: doc.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 11 Mar 2019 18:08:28 +0000

elogind (239.3+20190131-1) unstable; urgency=medium

  * New snapshot of upstream/v239-stable.
  * Remove local patches now fixed upstream.
  * Use new SIGINT handler for graceful restarts in initscript.
  * Specify devuan branch in Vcs-* fields.
  * Update to Standards version 4.3.0 (no changes).
  * libelogind-dev-doc conflicts with libsystemd-dev as they share manpages.
  * Set AppStream component id to begin with a reverse domain name.
  * Add Breaks and Replaces libelogind-dev (<< 239.1+20181115-1) to
    libelogind-dev-doc (Closes: #916768).

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 31 Jan 2019 18:57:50 +0000

elogind (239.3-3) unstable; urgency=medium

  * Preserve session and seat data when restarting (Closes: #916247).

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 14 Dec 2018 00:48:03 +0000

elogind (239.3-2) UNRELEASED; urgency=medium

  * Fix stale pidfile handling (Closes: #916212).
  * Add separate reload option to initscript.
  * Correct typo in Vcs-Git url.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 13 Dec 2018 11:26:15 +0000

elogind (239.3-1) unstable; urgency=medium

  * New upstream release.
  * Delete Dbus_lib_machine-id patch, now included upstream.
  * Delete manpage-branding.diff, now incorporated upstream.
  * Use CC0-1.0 for AppStream metadata license.
  * Correct typos in debian/rules comments.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 07 Dec 2018 10:31:31 +0000

elogind (239.2-1) unstable; urgency=medium

  * New upstream version 239.2.
  * Enable compile-time testsuite which depends on dbus.
  * Include busctl manpage.
  * Support /var/lib/dbus/machine-id as alternative to /etc/machine-id.
  * Enable SELinux support.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 23 Nov 2018 11:04:04 +0000

=== debian/control ===
Source: elogind
Section: admin
Priority: optional
Maintainer: Andreas Messer <andi@bastelmap.de>
Uploaders: Mark Hindley <mark@hindley.org.uk>
Standards-Version: 4.3.0
Vcs-Git: https://git.devuan.org/devuan-packages/elogind.git -b devuan
Vcs-Browser: https://git.devuan.org/devuan-packages/elogind/tree/devuan
Homepage: https://github.com/elogind/elogind
Build-Depends: debhelper (>= 11),
               dh-exec (>=0.3),
               dpkg-dev (>= 1.16.0),
               pkg-config,
               docbook-xsl,
               meson,
               gperf,
               gtk-doc-tools,
               python3-lxml,
               libcap-dev,
               libudev-dev,
               libmount-dev (>= 2.20),
               libseccomp-dev (>= 1.0),
               libblkid-dev (>= 2.24),
               libpam0g-dev (>= 1.1.2),
               libacl1-dev,
               libselinux1-dev,
               libglib2.0-dev,
               dbus (>= 1.9.14)

Package: elogind
Section: admin
Priority: optional
Architecture: linux-any
Multi-Arch: foreign
Pre-Depends: debconf, ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libudev1,
         libelogind0 (= ${binary:Version}),
         lsb-base (>= 3.1),
         dbus (>= 1.9.14)
Recommends: policykit-1
Provides: logind
Conflicts: systemd
Description: user, seat and session management daemon
 elogind is a session management daemon extracted from systemd project's
 "logind"

Package: libelogind0
Section: libs
Priority: optional
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Provides: libsystemd0 (= ${source:Upstream-Version})
Replaces: libsystemd0
Conflicts: libsystemd0
Description: user, seat and session management library
 This library provides runtime access to elogind session management.
 .
 The library is ABI compatible with libsystemd0 and provides the necessary
 symlinks to allow binaries linked against libsystemd0 to work with
 libelogind0.
 .
 The sd-login(3), sd-bus(3) and sd-id128(3) APIs are implemented in full,
 sd-journal(3) is only implemented by redirecting sd_journal_print* and
 sd_journal_send* calls to syslog(3) with other functions returning -ENOSYS and
 sd-hwdb(3) contains stubs returning -ENOSYS.

Package: libelogind-dev
Section: libdevel
Priority: optional
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libelogind0 (= ${binary:Version})
Suggests: libelogind-dev-doc
Description: user, seat and session management library (development files)
 This package contains the files needed for developing applications that 
 use libelogind

Package: libelogind-dev-doc
Section: doc
Priority: optional
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: libelogind-dev (= ${binary:Version})
Replaces: libelogind-dev (<< 239.1+20181115-1)
Breaks: libelogind-dev (<< 239.1+20181115-1)
Conflicts: libsystemd-dev
Description: user, seat and session management library (development documentation files)
 This package contains the documentation related to developing applications that
 use libelogind

Package: libpam-elogind
Section: admin
Priority: optional
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         elogind (= ${binary:Version}),
         libpam-runtime
Conflicts: libpam-ck-connector
Breaks: libpam-systemd
Provides: libpam-systemd
Replaces: libpam-systemd
Description: elogind PAM module 
 Plugable Authentication Module to register a session with elogind

## elogind 241.3

=== Makefile ===
#if 0 /// The original Makefile follows, which isn't enough for elogind.
# all:
# 	ninja -C build
#
# install:
# 	DESTDIR=$(DESTDIR) ninja -C build install
#else
.PHONY: all install loginctl test test-login

all:
	ninja -C build

install:
	DESTDIR=$(DESTDIR) ninja -C build install

loginctl:
	ninja -C build loginctl

test:
	ninja -C build test

test-login:
	ninja -C build test-login
#endif // 0

=== debian/changelog ===
elogind (241.3-3) unstable; urgency=medium

  * Increase build tests timeout to 90 to accommodate armel and armhf.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 05 Dec 2019 17:45:27 +0000

elogind (241.3-2) unstable; urgency=medium

  * New transitional package libsystemd0 which depends on libelogind0.
  * Add details of sd-daemon(3) implementation to libelogind0 package
    description.
  * elogind Recommends libpam-elogind.
  * Update to standards version 4.4.1 (no changes).

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 07 Oct 2019 22:55:44 +0100

elogind (241.3-1) unstable; urgency=medium

  [ Mark Hindley ]
  * New upstream release v241.3.
  * Upgrade to Standards Version 4.4.0:
    - libpam-elogind provides new virtual packages logind and default-logind.
  * Correctly license AppStream metadata as CC0-1.0 in d/copyright.

  [ Andreas Messer ]
  * Retire from maintenance of this package.

  [ Andreas Beckmann ]
  * Simplify libsystemd.so compatibility symlink setup. (Closes: #926591)

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 14 Jul 2019 11:16:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: elogind
 Section: admin
 Priority: optional
-Maintainer: Andreas Messer <andi@bastelmap.de>
-Uploaders: Mark Hindley <mark@hindley.org.uk>
-Standards-Version: 4.3.0
+Maintainer: Mark Hindley <mark@hindley.org.uk>
+Standards-Version: 4.4.1
 Vcs-Git: https://git.devuan.org/devuan-packages/elogind.git -b devuan
 Vcs-Browser: https://git.devuan.org/devuan-packages/elogind/tree/devuan
 Homepage: https://github.com/elogind/elogind
@@ -39,8 +38,7 @@
          libelogind0 (= ${binary:Version}),
          lsb-base (>= 3.1),
          dbus (>= 1.9.14)
-Recommends: policykit-1
-Provides: logind
+Recommends: libpam-elogind, policykit-1
 Conflicts: systemd
 Description: user, seat and session management daemon
  elogind is a session management daemon extracted from systemd project's
@@ -56,7 +54,7 @@
          ${misc:Depends}
 Provides: libsystemd0 (= ${source:Upstream-Version})
 Replaces: libsystemd0
-Conflicts: libsystemd0
+Breaks: libsystemd0 (<< ${binary:Version}), libsystemd0 (>> ${binary:Version})
 Description: user, seat and session management library
  This library provides runtime access to elogind session management.
  .
@@ -65,9 +63,11 @@
  libelogind0.
  .
  The sd-login(3), sd-bus(3) and sd-id128(3) APIs are implemented in full,
- sd-journal(3) is only implemented by redirecting sd_journal_print* and
- sd_journal_send* calls to syslog(3) with other functions returning -ENOSYS and
- sd-hwdb(3) contains stubs returning -ENOSYS.
+ sd-daemon(3) is also implemented in full, although sd_is_mq() always returns 0
+ as POSIX message queues are unsupported, sd-journal(3) is only implemented by
+ redirecting sd_journal_print* and sd_journal_send* calls to syslog(3) with
+ other functions returning -ENOSYS and sd-hwdb(3) contains stubs returning
+ -ENOSYS.
 
 Package: libelogind-dev
 Section: libdevel
@@ -111,8 +111,20 @@
          libpam-runtime
 Conflicts: libpam-ck-connector
 Breaks: libpam-systemd
-Provides: libpam-systemd
+Provides: libpam-systemd, logind, default-logind
 Replaces: libpam-systemd
 Description: elogind PAM module 
  Plugable Authentication Module to register a session with elogind
 
+Package: libsystemd0
+Section: oldlibs
+Priority: optional
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+         libelogind0
+Description: Transitional package for libelogind0
+ This is a dependency package to smooth the migration from libsystemd0 to
+ libelogind0.
+ .
+ It can be safely removed.

## elogind 241.4

=== debian/changelog ===
elogind (241.4-2) unstable; urgency=medium

   * Remove transitional libsystemd0 package.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 01 Jan 2020 15:03:47 +0000

elogind (241.4-1) unstable; urgency=medium

   * Merge new upstream v241.4.
   * Move libsystemd ABI compatibility details to README.Debian.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 27 Dec 2019 13:15:24 +0000

elogind (241.3-4) unstable; urgency=medium

  * Revert Increase build tests timeout to 90 to accommodate armel and armhf.
  * Try to detect broken khash support better. When crossbuilding, qemu doesn't
    support setsockopt() SOL_ALG. Skip tests if this fails.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 23 Dec 2019 17:22:22 +0000

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,13 @@
                pkg-config,
                docbook-xsl,
                meson,
-               gperf,
+               gperf (>= 3.1),
                gtk-doc-tools,
                python3-lxml,
                libcap-dev,
                libudev-dev,
-               libmount-dev (>= 2.20),
-               libseccomp-dev (>= 1.0),
+               libmount-dev (>= 2.27.1),
+               libseccomp-dev (>= 2.3.1),
                libblkid-dev (>= 2.24),
                libpam0g-dev (>= 1.1.2),
                libacl1-dev,
@@ -54,20 +54,13 @@
          ${misc:Depends}
 Provides: libsystemd0 (= ${source:Upstream-Version})
 Replaces: libsystemd0
-Breaks: libsystemd0 (<< ${binary:Version}), libsystemd0 (>> ${binary:Version})
+Conflicts: libsystemd0
 Description: user, seat and session management library
  This library provides runtime access to elogind session management.
  .
  The library is ABI compatible with libsystemd0 and provides the necessary
  symlinks to allow binaries linked against libsystemd0 to work with
- libelogind0.
- .
- The sd-login(3), sd-bus(3) and sd-id128(3) APIs are implemented in full,
- sd-daemon(3) is also implemented in full, although sd_is_mq() always returns 0
- as POSIX message queues are unsupported, sd-journal(3) is only implemented by
- redirecting sd_journal_print* and sd_journal_send* calls to syslog(3) with
- other functions returning -ENOSYS and sd-hwdb(3) contains stubs returning
- -ENOSYS.
+ libelogind0. For full details of the compatibility see README.Debian.
 
 Package: libelogind-dev
 Section: libdevel
@@ -116,15 +109,3 @@
 Description: elogind PAM module 
  Plugable Authentication Module to register a session with elogind
 
-Package: libsystemd0
-Section: oldlibs
-Priority: optional
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends},
-         libelogind0
-Description: Transitional package for libelogind0
- This is a dependency package to smooth the migration from libsystemd0 to
- libelogind0.
- .
- It can be safely removed.

## elogind 241.4+antix1

=== debian/changelog ===
elogind (241.4+antix1) unstable; urgency=medium

  * latest upstream

 -- anticapitalista <antix@operamail.com>  Fri, 27 Dec 2019 20:56:15 +0200

elogind (241.3-2+antix1) unstable; urgency=medium

  * New transitional package libsystemd0 which depends on libelogind0.
  * Add details of sd-daemon(3) implementation to libelogind0 package
    description.
  * elogind Recommends libpam-elogind.
  * Update to standards version 4.4.1 (no changes).

 -- anticapitalista <antix@operamail.com>  Fri, 25 Oct 2019 17:25:30 +0300

elogind (241.1-1+debian1) unstable; urgency=medium

  * New upstream version v241.1.
  * libelogind0 is ABI compatible with libsystemd0 so conflict, replace and
    provide libsystemd0 (=${source:Upstream-Version}), and also install
    libsystemd.so symlinks (Closes: #923244).
  * libelogind0 conflicts systemd to prevent co-installation.
  * Change AppStream metadata license to LGPL-2.1+ to match other files in
    debian/.
  * Move libelogind-dev-doc to Section: doc.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 13 Mar 2019 06:01:06 +0000

=== debian/control ===
--- 
+++ 
@@ -54,7 +54,7 @@
          ${misc:Depends}
 Provides: libsystemd0 (= ${source:Upstream-Version})
 Replaces: libsystemd0
-Conflicts: libsystemd0
+Conflicts: libsystemd0, systemd
 Description: user, seat and session management library
  This library provides runtime access to elogind session management.
  .
@@ -102,10 +102,21 @@
          ${misc:Depends},
          elogind (= ${binary:Version}),
          libpam-runtime
-Conflicts: libpam-ck-connector
-Breaks: libpam-systemd
-Provides: libpam-systemd, logind, default-logind
-Replaces: libpam-systemd
+Provides: logind (= ${binary:Version})
+Conflicts: logind, libpam-ck-connector
+Replaces: logind
 Description: elogind PAM module 
  Plugable Authentication Module to register a session with elogind
 
+Package: libsystemd0
+Section: oldlibs
+Priority: optional
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+         libelogind0
+Description: Transitional package for libelogind0
+ This is a dependency package to smooth the migration from libsystemd0 to
+ libelogind0.
+ .
+ It can be safely removed.

## elogind 243.7

=== meson_options.txt ===
--- 
+++ 
@@ -11,17 +11,15 @@
 option('rootlibdir', type : 'string',
        description : '''[/usr]/lib/x86_64-linux-gnu or such''')
 option('rootprefix', type : 'string',
-       description : '''override the root prefix''')
+       description : '''override the root prefix [default '/' if split-usr and '/usr' otherwise]''')
 #if 0 /// UNNEEDED by elogind
 # option('link-udev-shared', type : 'boolean',
 #        description : 'link systemd-udev and its helpers to libsystemd-shared.so')
 # option('link-systemctl-shared', type: 'boolean',
 #        description : 'link systemctl against libsystemd-shared.so')
-#endif // 0
-option('static-libelogind', type : 'combo',
-       choices : ['false', 'true', 'pic', 'no-pic'],
-       description : '''install a static library for libelogind''')
-#if 0 /// UNNEEDED by elogind
+# option('static-libsystemd', type : 'combo',
+#        choices : ['false', 'true', 'pic', 'no-pic'],
+#        description : '''install a static library for libsystemd''')
 # option('static-libudev', type : 'combo',
 #        choices : ['false', 'true', 'pic', 'no-pic'],
 #        description : '''install a static library for libudev''')
@@ -34,13 +32,14 @@
 #        description : 'path to telinit')
 # option('rc-local', type : 'string',
 #        value : '/etc/rc.local')
-# option('halt-local', type : 'string',
-#        value : '/usr/sbin/halt.local')
 #
 # option('quotaon-path', type : 'string', description : 'path to quotaon')
 # option('quotacheck-path', type : 'string', description : 'path to quotacheck')
 # option('kmod-path', type : 'string', description : 'path to kmod')
-#else
+#else // 0
+option('static-libelogind', type : 'combo',
+       choices : ['false', 'true', 'pic', 'no-pic'],
+       description : '''install a static library for libelogind''')
 # elogind must have a configurable rootlibexecdir
 option('rootlibexecdir', type : 'string',
        description : '''override the root libexec directory path''')
@@ -69,14 +68,17 @@
 # option('umount-path', type : 'string', description : 'path to umount')
 # option('loadkeys-path', type : 'string', description : 'path to loadkeys')
 # option('setfont-path', type : 'string', description : 'path to setfont')
-#
+#endif // 0
+option('nologin-path', type : 'string', description : 'path to nologin')
+
+#if 0 /// UNNEEDED by elogind
 # option('debug-shell', type : 'string', value : '/bin/sh',
 #        description : 'path to debug shell binary')
 # option('debug-tty', type : 'string', value : '/dev/tty9',
 #        description : 'specify the tty device for debug shell')
-# option('debug-extra', type : 'array', choices : ['hashmap', 'mmap-cache', 'siphash', 'udev'], value : [],
+# option('debug-extra', type : 'array', choices : ['hashmap', 'mmap-cache', 'siphash'], value : [],
 #        description : 'enable extra debugging')
-#else
+#else // 0
 option('debug-extra', type : 'array', choices : ['elogind', 'hashmap', 'mmap-cache', 'siphash'], value : [],
        description : 'enable extra debugging')
 #endif // 0
@@ -112,6 +114,8 @@
 #        description : 'support for custom binary formats')
 # option('coredump', type : 'boolean',
 #        description : 'install the coredump handler')
+# option('pstore', type : 'boolean',
+#        description : 'install the pstore archival tool')
 # option('logind', type : 'boolean',
 #        description : 'install the systemd-logind stack')
 # option('hostnamed', type : 'boolean',
@@ -130,6 +134,8 @@
 #        description : 'install the systemd-timesyncd daemon')
 # option('remote', type : 'combo', choices : ['auto', 'true', 'false'],
 #        description : 'support for "journal over the network"')
+# option('create-log-dirs', type : 'boolean',
+#        description : 'create /var/log/journal{,/remote}')
 # option('nss-myhostname', type : 'boolean',
 #        description : 'install nss-myhostname module')
 # option('nss-mymachines', type : 'combo', choices : ['auto', 'true', 'false'],
@@ -158,8 +164,12 @@
 #        description : 'support for the hardware database')
 # option('rfkill', type : 'boolean',
 #        description : 'support for the rfkill tools')
+#else // 0
+option('efi', type : 'boolean',
+       description : 'enable EFI support')
 #endif // 0
 option('man', type : 'combo', choices : ['auto', 'true', 'false'],
+       value : 'false',
        description : 'build and install man pages')
 option('html', type : 'combo', choices : ['auto', 'true', 'false'],
        value : 'false',
@@ -176,9 +186,9 @@
 option('dbussystemservicedir', type : 'string',
        description : 'D-Bus system service directory')
 option('pkgconfigdatadir', type : 'string', value : '',
-       description : 'directory for ')
+       description : 'directory for arch-independent pkg-config files')
 option('pkgconfiglibdir', type : 'string', value : '',
-       description : 'directory for ')
+       description : 'directory for standard pkg-config files')
 #if 0 /// UNNEEDED by elogind
 # option('rpmmacrosdir', type : 'string', value : 'lib/rpm/macros.d',
 #        description : 'directory for rpm macros ["no" disables]')
@@ -197,10 +207,10 @@
 #        description : 'allow "gateway" as the symbolic name for default gateway')
 #endif // 0
 option('default-hierarchy', type : 'combo',
-       choices : ['legacy', 'hybrid', 'unified'], value : 'hybrid',
+       choices : ['legacy', 'hybrid', 'unified'], value : 'unified',
 #if 0 /// elogind interprets this a bit different
 #        description : 'default cgroup hierarchy')
-#else
+#else // 0
        description : '''Wanted cgroup hierarchy if elogind has to be a cgroup controller:
                 "legacy"  assumes tmpfs mounted on /sys/fs/cgroup and cgroup on its
                                   subfolders.
@@ -210,10 +220,13 @@
 option('cgroup-controller', type : 'string',
        description : 'Name of the cgroup controller to use')
 #endif // 0
-#if 0 /// UNNEEDED by elogind
-# option('default-net-naming-scheme', type : 'combo',
-#        choices : ['latest', 'v238', 'v239', 'v240'],
-#        description : 'default net.naming-scheme= value')
+option('default-net-naming-scheme', type : 'combo',
+       choices : ['latest', 'v238', 'v239', 'v240'],
+       description : 'default net.naming-scheme= value')
+option('status-unit-format-default', type : 'combo',
+       choices : ['description', 'name'],
+       description : 'use unit name or description in messages by default')
+#if 0 /// UNNEEDED by elogind
 # option('time-epoch', type : 'integer', value : '-1',
 #        description : 'time epoch for time clients')
 #endif // 0
@@ -224,18 +237,3 @@
 #if 0 /// UNNEEDED by elogind
 # option('dynamic-uid-min', type : 'integer', value : 0x0000EF00,
 #        description : 'minimum dynamic UID')
-# option('dynamic-uid-max', type : 'integer', value : 0x0000FFEF,
-#        description : 'maximum dynamic UID')
-# option('container-uid-base-min', type : 'integer', value : 0x00080000,
-#        description : 'minimum container UID base')
-# option('container-uid-base-max', type : 'integer', value : 0x6FFF0000,
-#        description : 'maximum container UID base')
-#endif // 0
-option('tty-gid', type : 'integer', value : 5,
-       description : 'the numeric GID of the "tty" group')
-#if 0 /// UNNEEDED by elogind
-# option('users-gid', type : 'integer', value : '-1',
-#        description : 'the numeric GID of the "users" group')
-# option('adm-group', type : 'boolean',
-#        description : 'the ACL for adm group should be added')
-# option('wheel-group', type : 'boolean',

=== debian/changelog ===
elogind (243.7-1.0antix1) unstable; urgency=medium

  * antiX build 

 -- anticapitalista <antix@operamail.com>  Fri, 20 Mar 2020 14:36:17 +0200

elogind (243.7-1) unstable; urgency=medium

  * New upstream version 243.7.
  * Explicitly enable manpages in build (disabled upstream).
  * Remove NEWS file from packaging (removed upstream).
  * Update to Standards version 4.5.0 (no changes).
  * Remove skip_id128_tests_unsupported.patch: included upstream.
  * Default to false for RemoveIPC (Closes: #949698).
  * d/control: add Origin: Devuan.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 16 Mar 2020 18:44:05 +0000

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: admin
 Priority: optional
 Maintainer: Mark Hindley <mark@hindley.org.uk>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://git.devuan.org/devuan-packages/elogind.git -b devuan
 Vcs-Browser: https://git.devuan.org/devuan-packages/elogind/tree/devuan
 Homepage: https://github.com/elogind/elogind
+Origin: Devuan
 Build-Depends: debhelper (>= 11),
                dh-exec (>=0.3),
                dpkg-dev (>= 1.16.0),
@@ -54,7 +55,7 @@
          ${misc:Depends}
 Provides: libsystemd0 (= ${source:Upstream-Version})
 Replaces: libsystemd0
-Conflicts: libsystemd0, systemd
+Conflicts: libsystemd0
 Description: user, seat and session management library
  This library provides runtime access to elogind session management.
  .
@@ -102,21 +103,10 @@
          ${misc:Depends},
          elogind (= ${binary:Version}),
          libpam-runtime
-Provides: logind (= ${binary:Version})
-Conflicts: logind, libpam-ck-connector
-Replaces: logind
+Conflicts: libpam-ck-connector, libpam-elogind-compat
+Breaks: libpam-systemd, libpam-elogind-compat
+Provides: libpam-systemd, logind, default-logind
+Replaces: libpam-systemd, libpam-elogind-compat
 Description: elogind PAM module 
  Plugable Authentication Module to register a session with elogind
 
-Package: libsystemd0
-Section: oldlibs
-Priority: optional
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends},
-         libelogind0
-Description: Transitional package for libelogind0
- This is a dependency package to smooth the migration from libsystemd0 to
- libelogind0.
- .
- It can be safely removed.

=== debian/rules ===
#! /usr/bin/make -f

# The options have been chosen as follows:
# - manually set pamlibdir because we're installing in /usr by default but
#   pam libs must go to /lib/*/security, same for udev rules
# - disable killing users processes by default. This is weird an unexpected
#   behaviour

CONFFLAGS = \
  -Dpamlibdir=/lib/$(DEB_HOST_MULTIARCH)/security \
  -Drootlibdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
  -Dsplit-usr=true \
  -Ddocdir=/usr/share/doc/elogind \
  -Dman=true \
  -Dudevrulesdir=/lib/udev/rules.d \
  -Ddefault-kill-user-processes=false \
  -Dtests=true

CONFFLAGS_CGROUPCTRL_ELOGIND= \
  -Dcgroup-controller=elogind

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build \
        -- $(CONFFLAGS) $(CONFFLAGS_CGROUPCTRL_ELOGIND)

override_dh_auto_install:
	dh_auto_install --builddirectory=build

override_dh_auto_clean:
	dh_auto_clean --builddirectory=build
	# remove Python byte code files
	rm -rf tools/__pycache__/

override_dh_missing:
	dh_missing --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -pelogind -Xlibelogind-shared
	dh_makeshlibs --remaining

override_dh_shlibdeps:
	dh_shlibdeps -- -xlibeudev1

%:
	dh $@  --builddirectory=build --without autoreconf,systemd --buildsystem=meson

## elogind 243.8

=== debian/changelog ===
elogind (243.8-1) unstable; urgency=medium

  * New upstream version 243.8.
  * d/control: update Vcs-* fields following Gitea migration.
  * Change rootlibdir to /lib (closes: #482).
  * Document solutions for libelogind0/libsystemd-dev build-depends
    conflict. (closes: #435).

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 20 Jun 2020 10:59:46 +0100

elogind (243.7-2) unstable; urgency=medium

  * Include 70-power-switch.rules (closes: #423).
  * Add breaks/replaces for Debian's udev which also ships the same file.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 28 Apr 2020 11:22:51 +0100
